| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# PoolDbLinkManager Class Reference

`#include <GaudiPoolDb/PoolDbLinkManager.h>`

Collaboration diagram for PoolDbLinkManager:

[legend]
List of all members.

## Detailed Description

Description: PoolDbLinkManager class implementation definition.

Author:
  Markus Frank

Version:
  1.0

Definition at line 32 of file PoolDbLinkManager.h.

## Public Member Functions
| PoolDbLinkManager ()
| Standard constructor.
virtual | ~PoolDbLinkManager ()
| Standard destructor.
std::vector< pool::Token * > & | references ()
| Access to token array.
std::vector< std::string > & | links ()
| Access to link array.
## Protected Attributes
std::vector< pool::Token * > | m_refs
| Directory links.
std::vector< std::string > | m_links
| Logical links.

## Constructor & Destructor Documentation

PoolDbLinkManager::PoolDbLinkManager | ( |  | ) |

Standard constructor.

Definition at line 27 of file PoolDbLinkManager.cpp.

References c, and counter().

    00028 {
    00029   static pool::DbInstanceCount::Counter* c = counter();
    00030   c->increment();
    00031 }

PoolDbLinkManager::~PoolDbLinkManager | ( |  | ) | `[virtual]`

Standard destructor.

Definition at line 34 of file PoolDbLinkManager.cpp.

References std::vector< _Tp, _Alloc >::begin(), c, std::vector< _Tp, _Alloc >::clear(), counter(), std::vector< _Tp, _Alloc >::end(), m_links, and m_refs.

    00035 {
    00036   static pool::DbInstanceCount::Counter* c = counter();
    00037   c->decrement();
    00038   for (std::vector<pool::Token*>::iterator i = m_refs.begin(); i != m_refs.end(); ++i )  {
    00039     if ( *i )  {
    00040       (*i)->release();
    00041     }
    00042   }
    00043   m_links.clear();
    00044   m_refs.clear();
    00045 }

## Member Function Documentation

std::vector<pool::Token*>& PoolDbLinkManager::references | ( |  | ) | `[inline]`

Access to token array.

Definition at line 47 of file PoolDbLinkManager.h.

References m_refs.

Referenced by PoolDbBaseCnv::createReferences(), and PoolDbBaseCnv::setReferences().

    00047                                        {
    00048     return m_refs;
    00049   }

std::vector<std::string>& PoolDbLinkManager::links | ( |  | ) | `[inline]`

Access to link array.

Definition at line 51 of file PoolDbLinkManager.h.

References m_links.

Referenced by PoolDbBaseCnv::createReferences(), and PoolDbBaseCnv::setReferences().

    00051                                  {
    00052     return m_links;
    00053   }

## Member Data Documentation

std::vector<pool::Token*> PoolDbLinkManager::m_refs`[protected]`

Directory links.

Definition at line 35 of file PoolDbLinkManager.h.

Referenced by references(), and ~PoolDbLinkManager().

std::vector<std::string> PoolDbLinkManager::m_links`[protected]`

Logical links.

Definition at line 37 of file PoolDbLinkManager.h.

Referenced by links(), and ~PoolDbLinkManager().

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiPoolDb/v4r0/GaudiPoolDb/PoolDbLinkManager.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiPoolDb/v4r0/src/PoolDbLinkManager.cpp